Bug 5970 - feBlend doesn't look right in all modes (possibly colormatching?)
Summary: feBlend doesn't look right in all modes (possibly colormatching?)
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 420+
Hardware: Macintosh OS X 10.4
: P4 Normal
Assignee: Nobody
URL: http://www.w3.org/Graphics/SVG/Test/2...
Keywords:
Depends on: 5972
Blocks: 68469 26389
  Show dependency treegraph
 
Reported: 2005-12-06 03:58 PST by Eric Seidel (no email)
Modified: 2014-05-12 05:54 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2005-12-06 03:58:36 PST
feBlend doesn't look right in all modes (possibly colormatching?)

See the test:
http://www.w3.org/Graphics/SVG/Test/20030813/htmlframe/full-filters-blend-01-b.html
Comment 1 Alexey Proskuryakov 2007-12-26 10:50:39 PST
I'm not sure that this is color matching. The results of all the operations on white are the same, while they should be different.

Opera 9.50 beta gets this right.
Comment 2 Alexey Proskuryakov 2007-12-27 01:53:43 PST
I just realized that SVG filters were disabled in my build, so I was getting entirely different results.
Comment 3 Dirk Schulze 2009-08-18 15:58:06 PDT
fixed with r47456.